package androidx.test.core.os;

import android.os.Parcel;
import android.os.Parcelable;

public final class Parcelables {
    public static <T extends Parcelable> T forceParcel(T parcelable, Parcelable.Creator<T> creator) {
        Parcel parcel = Parcel.obtain();
        try {
            parcelable.writeToParcel(parcel, 0);
            parcel.setDataPosition(0);
            return (Parcelable) creator.createFromParcel(parcel);
        } finally {
            parcel.recycle();
        }
    }

    private Parcelables() {
    }
}
