package androidx.test.runner.intent;

import java.util.concurrent.atomic.AtomicReference;

public final class IntentMonitorRegistry {
    private static final AtomicReference<IntentMonitor> monitorRef = new AtomicReference<>((Object) null);

    public static IntentMonitor getInstance() {
        IntentMonitor instance = monitorRef.get();
        if (instance != null) {
            return instance;
        }
        throw new IllegalStateException("No intent monitor registered! Are you running under an Instrumentation which registers intent monitors?");
    }

    public static void registerInstance(IntentMonitor monitor) {
        monitorRef.set(monitor);
    }

    private IntentMonitorRegistry() {
    }
}
