package dev.doubledot.doki.api.extensions;

import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.util.Iterator;
import kotlin.Metadata;
import kotlin.collections.IntIterator;
import kotlin.jvm.internal.Intrinsics;
import kotlin.ranges.IntRange;
import kotlin.text.StringsKt;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u0018\n\u0000\n\u0002\u0010\u000b\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u0004\n\u0000\n\u0002\u0010\b\n\u0000\u001a\n\u0010\u0000\u001a\u00020\u0001*\u00020\u0002\u001a\u0014\u0010\u0003\u001a\u00020\u0002*\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0000¨\u0006\u0007"}, d2 = {"hasContent", "", "", "round", "", "decimalCount", "", "api_release"}, k = 2, mv = {1, 1, 13})
/* compiled from: String.kt */
public final class StringKt {
    public static final boolean hasContent(String $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return ($receiver.length() > 0) && (StringsKt.isBlank($receiver) ^ true);
    }

    public static final String round(Number $receiver, int decimalCount) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        StringBuilder expression = new StringBuilder().append("#.");
        Iterator it = new IntRange(1, decimalCount).iterator();
        while (it.hasNext()) {
            int nextInt = ((IntIterator) it).nextInt();
            expression.append("#");
        }
        DecimalFormat formatter = new DecimalFormat(expression.toString());
        formatter.setRoundingMode(RoundingMode.HALF_UP);
        String format = formatter.format($receiver);
        Intrinsics.checkExpressionValueIsNotNull(format, "formatter.format(this)");
        return format;
    }
}
