package dev.doubledot.doki.api.remote;

import dev.doubledot.doki.api.extensions.ConstantsKt;
import dev.doubledot.doki.api.models.DokiManufacturer;
import io.reactivex.Observable;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import retrofit2.Retrofit;
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory;
import retrofit2.converter.gson.GsonConverterFactory;
import retrofit2.http.GET;
import retrofit2.http.Path;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u001c\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\bf\u0018\u0000 \u00072\u00020\u0001:\u0001\u0007J\u0018\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u00032\b\b\u0001\u0010\u0005\u001a\u00020\u0006H'¨\u0006\b"}, d2 = {"Ldev/doubledot/doki/api/remote/DokiApiService;", "", "getManufacturer", "Lio/reactivex/Observable;", "Ldev/doubledot/doki/api/models/DokiManufacturer;", "manufacturer", "", "Companion", "api_release"}, k = 1, mv = {1, 1, 13})
/* compiled from: DokiApiService.kt */
public interface DokiApiService {
    public static final Companion Companion = Companion.$$INSTANCE;

    @GET("{manufacturer}.json")
    Observable<DokiManufacturer> getManufacturer(@Path("manufacturer") String str);

    @Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Ldev/doubledot/doki/api/remote/DokiApiService$Companion;", "", "()V", "create", "Ldev/doubledot/doki/api/remote/DokiApiService;", "api_release"}, k = 1, mv = {1, 1, 13})
    /* compiled from: DokiApiService.kt */
    public static final class Companion {
        static final /* synthetic */ Companion $$INSTANCE = new Companion();

        private Companion() {
        }

        public final DokiApiService create() {
            Object create = new Retrofit.Builder().addCallAdapterFactory(RxJava2CallAdapterFactory.create()).addConverterFactory(GsonConverterFactory.create()).baseUrl(ConstantsKt.DONT_KILL_MY_APP_BASE_ENDPOINT).build().create(DokiApiService.class);
            Intrinsics.checkExpressionValueIsNotNull(create, "retrofit.create(DokiApiService::class.java)");
            return (DokiApiService) create;
        }
    }
}
