package dev.doubledot.doki.api.tasks;

import dev.doubledot.doki.api.extensions.ConstantsKt;
import dev.doubledot.doki.api.remote.DokiApiService;
import io.reactivex.android.schedulers.AndroidSchedulers;
import io.reactivex.disposables.Disposable;
import io.reactivex.schedulers.Schedulers;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.PropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KProperty;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000:\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\b\u0016\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0006\u0010\u001b\u001a\u00020\u001cJ\u0010\u0010\u001d\u001a\u00020\u001c2\b\b\u0002\u0010\u001e\u001a\u00020\u001fR\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001c\u0010\t\u001a\u0004\u0018\u00010\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001b\u0010\u000f\u001a\u00020\u00108FX\u0002¢\u0006\f\n\u0004\b\u0013\u0010\u0014\u001a\u0004\b\u0011\u0010\u0012R\u001a\u0010\u0015\u001a\u00020\u0016X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\u0018\"\u0004\b\u0019\u0010\u001a¨\u0006 "}, d2 = {"Ldev/doubledot/doki/api/tasks/DokiApi;", "", "()V", "callback", "Ldev/doubledot/doki/api/tasks/DokiApiCallback;", "getCallback", "()Ldev/doubledot/doki/api/tasks/DokiApiCallback;", "setCallback", "(Ldev/doubledot/doki/api/tasks/DokiApiCallback;)V", "disposable", "Lio/reactivex/disposables/Disposable;", "getDisposable", "()Lio/reactivex/disposables/Disposable;", "setDisposable", "(Lio/reactivex/disposables/Disposable;)V", "dokiApiService", "Ldev/doubledot/doki/api/remote/DokiApiService;", "getDokiApiService", "()Ldev/doubledot/doki/api/remote/DokiApiService;", "dokiApiService$delegate", "Lkotlin/Lazy;", "shouldFallback", "", "getShouldFallback", "()Z", "setShouldFallback", "(Z)V", "cancel", "", "getManufacturer", "manufacturer", "", "api_release"}, k = 1, mv = {1, 1, 13})
/* compiled from: DokiApi.kt */
public class DokiApi {
    static final /* synthetic */ KProperty[] $$delegatedProperties = {Reflection.property1(new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(DokiApi.class), "dokiApiService", "getDokiApiService()Ldev/doubledot/doki/api/remote/DokiApiService;"))};
    private DokiApiCallback callback;
    private Disposable disposable;
    private final Lazy dokiApiService$delegate = LazyKt.lazy(DokiApi$dokiApiService$2.INSTANCE);
    private boolean shouldFallback = true;

    public final DokiApiService getDokiApiService() {
        Lazy lazy = this.dokiApiService$delegate;
        KProperty kProperty = $$delegatedProperties[0];
        return (DokiApiService) lazy.getValue();
    }

    public final Disposable getDisposable() {
        return this.disposable;
    }

    public final void setDisposable(Disposable disposable2) {
        this.disposable = disposable2;
    }

    public final DokiApiCallback getCallback() {
        return this.callback;
    }

    public final void setCallback(DokiApiCallback dokiApiCallback) {
        this.callback = dokiApiCallback;
    }

    public final boolean getShouldFallback() {
        return this.shouldFallback;
    }

    public final void setShouldFallback(boolean z) {
        this.shouldFallback = z;
    }

    public static /* synthetic */ void getManufacturer$default(DokiApi dokiApi, String str, int i, Object obj) {
        if (obj == null) {
            if ((i & 1) != 0) {
                str = ConstantsKt.getDONT_KILL_MY_APP_DEFAULT_MANUFACTURER();
            }
            dokiApi.getManufacturer(str);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: getManufacturer");
    }

    public final void getManufacturer(String manufacturer) {
        Intrinsics.checkParameterIsNotNull(manufacturer, "manufacturer");
        this.disposable = getDokiApiService().getManufacturer(manufacturer).subscribeOn(Schedulers.io()).observeOn(AndroidSchedulers.mainThread()).subscribe(new DokiApi$getManufacturer$1(this), new DokiApi$getManufacturer$2(this));
        DokiApiCallback dokiApiCallback = this.callback;
        if (dokiApiCallback != null) {
            dokiApiCallback.onStart();
        }
    }

    public final void cancel() {
        Disposable disposable2 = this.disposable;
        if (disposable2 != null) {
            disposable2.dispose();
        }
        Disposable disposable3 = null;
        this.disposable = null;
    }
}
