package dev.doubledot.doki.extensions;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.TypedValue;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u001a\n\u0000\n\u0002\u0010\b\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0015\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u001a\u0014\u0010\u0000\u001a\u00020\u0001*\u00020\u00022\u0006\u0010\u0003\u001a\u00020\u0004H\u0001\u001a\u0018\u0010\u0005\u001a\u0004\u0018\u00010\u0006*\u00020\u00022\b\b\u0001\u0010\u0007\u001a\u00020\u0001H\u0000¨\u0006\b"}, d2 = {"extractColor", "", "Landroid/content/Context;", "attribute", "", "extractDrawable", "Landroid/graphics/drawable/Drawable;", "drawableAttributeId", "library_release"}, k = 2, mv = {1, 1, 13})
/* compiled from: Context.kt */
public final class ContextKt {
    public static final int extractColor(Context $receiver, int[] attribute) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        Intrinsics.checkParameterIsNotNull(attribute, "attribute");
        TypedArray a = $receiver.obtainStyledAttributes(new TypedValue().data, attribute);
        int color = a.getColor(0, 0);
        a.recycle();
        return color;
    }

    public static final Drawable extractDrawable(Context $receiver, int drawableAttributeId) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        TypedArray a = $receiver.obtainStyledAttributes(new TypedValue().data, new int[]{drawableAttributeId});
        Drawable drawable = a.getDrawable(0);
        a.recycle();
        return drawable;
    }
}
