package dev.doubledot.doki.extensions;

import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import androidx.core.graphics.drawable.DrawableCompat;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u0014\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\u001a\u0014\u0010\u0000\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0003H\u0000\u001a\u0016\u0010\u0000\u001a\u00020\u0001*\u00020\u00012\b\b\u0001\u0010\u0004\u001a\u00020\u0005H\u0000¨\u0006\u0006"}, d2 = {"tint", "Landroid/graphics/drawable/Drawable;", "state", "Landroid/content/res/ColorStateList;", "color", "", "library_release"}, k = 2, mv = {1, 1, 13})
/* compiled from: Drawable.kt */
public final class DrawableKt {
    public static final Drawable tint(Drawable $receiver, int color) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        ColorStateList valueOf = ColorStateList.valueOf(color);
        Intrinsics.checkExpressionValueIsNotNull(valueOf, "ColorStateList.valueOf(color)");
        return tint($receiver, valueOf);
    }

    public static final Drawable tint(Drawable $receiver, ColorStateList state) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        Intrinsics.checkParameterIsNotNull(state, "state");
        Drawable drawable = DrawableCompat.wrap($receiver.mutate());
        DrawableCompat.setTintList(drawable, state);
        Intrinsics.checkExpressionValueIsNotNull(drawable, "drawable");
        return drawable;
    }
}
