package dev.doubledot.doki.extensions;

import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u0014\n\u0000\n\u0002\u0010\b\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\u001a\u001b\u0010\u0000\u001a\u0004\u0018\u00010\u0001*\u00020\u00022\u0006\u0010\u0003\u001a\u00020\u0001H\u0000¢\u0006\u0002\u0010\u0004\u001a\u0016\u0010\u0005\u001a\u0004\u0018\u00010\u0006*\u00020\u00022\u0006\u0010\u0003\u001a\u00020\u0001H\u0000¨\u0006\u0007"}, d2 = {"getColorOrNull", "", "Landroid/content/res/TypedArray;", "styleable", "(Landroid/content/res/TypedArray;I)Ljava/lang/Integer;", "getDrawableOrNull", "Landroid/graphics/drawable/Drawable;", "library_release"}, k = 2, mv = {1, 1, 13})
/* compiled from: TypedArray.kt */
public final class TypedArrayKt {
    public static final Drawable getDrawableOrNull(TypedArray $receiver, int styleable) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        try {
            return $receiver.getDrawable(styleable);
        } catch (Exception e) {
            return null;
        }
    }

    public static final Integer getColorOrNull(TypedArray $receiver, int styleable) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        if ($receiver.hasValue(styleable)) {
            return Integer.valueOf($receiver.getColor(styleable, 0));
        }
        return null;
    }
}
