package dev.doubledot.doki.extensions;

import android.view.View;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\u0018\u0002\n\u0002\b\r\u001a\u001b\u0010\u0006\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u0007H\u0000¢\u0006\u0002\u0010\b\u001a#\u0010\t\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u00072\u0006\u0010\u0006\u001a\u00020\u0001H\u0000¢\u0006\u0002\u0010\n\u001a\u001b\u0010\u000b\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u0007H\u0000¢\u0006\u0002\u0010\b\u001a#\u0010\f\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u00072\u0006\u0010\u000b\u001a\u00020\u0001H\u0000¢\u0006\u0002\u0010\n\u001a\u001b\u0010\r\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u0007H\u0000¢\u0006\u0002\u0010\b\u001a#\u0010\u000e\u001a\u0002H\u0007\"\b\b\u0000\u0010\u0007*\u00020\u0002*\u0002H\u00072\u0006\u0010\r\u001a\u00020\u0001H\u0000¢\u0006\u0002\u0010\n\"\u0019\u0010\u0000\u001a\u00020\u0001*\u00020\u00028À\u0002X\u0004¢\u0006\u0006\u001a\u0004\b\u0000\u0010\u0003\"\u0019\u0010\u0004\u001a\u00020\u0001*\u00020\u00028À\u0002X\u0004¢\u0006\u0006\u001a\u0004\b\u0004\u0010\u0003\"\u0019\u0010\u0005\u001a\u00020\u0001*\u00020\u00028À\u0002X\u0004¢\u0006\u0006\u001a\u0004\b\u0005\u0010\u0003¨\u0006\u000f"}, d2 = {"isGone", "", "Landroid/view/View;", "(Landroid/view/View;)Z", "isInvisible", "isVisible", "gone", "T", "(Landroid/view/View;)Landroid/view/View;", "goneIf", "(Landroid/view/View;Z)Landroid/view/View;", "invisible", "invisibleIf", "visible", "visibleIf", "library_release"}, k = 2, mv = {1, 1, 13})
/* compiled from: View.kt */
public final class ViewKt {
    public static final <T extends View> T visible(T $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        $receiver.setVisibility(0);
        return $receiver;
    }

    public static final <T extends View> T invisible(T $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        $receiver.setVisibility(4);
        return $receiver;
    }

    public static final <T extends View> T gone(T $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        $receiver.setVisibility(8);
        return $receiver;
    }

    public static final <T extends View> T invisibleIf(T $receiver, boolean invisible) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return invisible ? invisible($receiver) : visible($receiver);
    }

    public static final <T extends View> T visibleIf(T $receiver, boolean visible) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return visible ? visible($receiver) : gone($receiver);
    }

    public static final <T extends View> T goneIf(T $receiver, boolean gone) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return visibleIf($receiver, !gone);
    }

    public static final boolean isVisible(View $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return $receiver.getVisibility() == 0;
    }

    public static final boolean isInvisible(View $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return $receiver.getVisibility() == 4;
    }

    public static final boolean isGone(View $receiver) {
        Intrinsics.checkParameterIsNotNull($receiver, "receiver$0");
        return $receiver.getVisibility() == 8;
    }
}
