package org.coeye.client;

import android.content.Context;
import android.content.Intent;
import androidx.preference.PreferenceManager;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bH\u0016¨\u0006\t"}, d2 = {"Lorg/coeye/client/AutostartReceiver;", "Lorg/coeye/client/WakefulBroadcastReceiver;", "()V", "onReceive", "", "context", "Landroid/content/Context;", "intent", "Landroid/content/Intent;", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: AutostartReceiver.kt */
public final class AutostartReceiver extends WakefulBroadcastReceiver {
    public void onReceive(Context context, Intent intent) {
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(intent, "intent");
        if (PreferenceManager.getDefaultSharedPreferences(context).getBoolean("status", false)) {
            WakefulBroadcastReceiver.Companion.startWakefulForegroundService(context, new Intent(context, TrackingService.class));
        }
    }
}
