package org.coeye.client;

import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure;
import androidx.core.app.NotificationCompat;
import com.google.firebase.messaging.FirebaseMessagingService;
import com.google.firebase.messaging.RemoteMessage;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0017J\u0010\u0010\u0007\u001a\u00020\u00042\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lorg/coeye/client/ManagerMessagingService;", "Lcom/google/firebase/messaging/FirebaseMessagingService;", "()V", "onMessageReceived", "", "remoteMessage", "Lcom/google/firebase/messaging/RemoteMessage;", "onNewToken", "token", "", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ManagerMessagingService.kt */
public final class ManagerMessagingService extends FirebaseMessagingService {
    public void onMessageReceived(RemoteMessage remoteMessage) {
        int flags;
        Intrinsics.checkNotNullParameter(remoteMessage, "remoteMessage");
        super.onMessageReceived(remoteMessage);
        if (Build.VERSION.SDK_INT >= 23) {
            flags = 1140850688;
        } else {
            flags = BasicMeasure.EXACTLY;
        }
        PendingIntent pendingIntent = PendingIntent.getActivity(this, 0, new Intent(this, MainActivity.class), flags);
        NotificationCompat.Builder contentTitle = new NotificationCompat.Builder((Context) this, getString(R.string.notification_channel)).setSmallIcon((int) R.drawable.ic_stat_notify).setContentTitle(getString(R.string.app_name));
        RemoteMessage.Notification notification = remoteMessage.getNotification();
        NotificationCompat.Builder builder = contentTitle.setContentText(notification == null ? null : notification.getBody()).setAutoCancel(true).setContentIntent(pendingIntent);
        Intrinsics.checkNotNullExpressionValue(builder, "Builder(this, getString(…tentIntent(pendingIntent)");
        Object systemService = getSystemService("notification");
        if (systemService != null) {
            ((NotificationManager) systemService).notify(remoteMessage.hashCode(), builder.build());
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type android.app.NotificationManager");
    }

    public void onNewToken(String token) {
        Intrinsics.checkNotNullParameter(token, "token");
        super.onNewToken(token);
    }
}
