package org.coeye.client;

import android.content.Context;
import com.google.android.gms.common.internal.ServiceSpecificExtraArgs;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.coeye.client.PositionProvider;

@Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\bÆ\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lorg/coeye/client/PositionProviderFactory;", "", "()V", "create", "Lorg/coeye/client/PositionProvider;", "context", "Landroid/content/Context;", "listener", "Lorg/coeye/client/PositionProvider$PositionListener;", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: PositionProviderFactory.kt */
public final class PositionProviderFactory {
    public static final PositionProviderFactory INSTANCE = new PositionProviderFactory();

    private PositionProviderFactory() {
    }

    public final PositionProvider create(Context context, PositionProvider.PositionListener listener) {
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(listener, ServiceSpecificExtraArgs.CastExtraArgs.LISTENER);
        return new AndroidPositionProvider(context, listener);
    }
}
