package org.coeye.client;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import androidx.appcompat.app.AppCompatActivity;
import java.text.DateFormat;
import java.util.Date;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Set;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.TypeIntrinsics;

@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u00122\u00020\u0001:\u0001\u0012B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0006\u001a\u00020\u00072\b\u0010\b\u001a\u0004\u0018\u00010\tH\u0014J\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\rH\u0016J\b\u0010\u000e\u001a\u00020\u0007H\u0014J\u0010\u0010\u000f\u001a\u00020\u000b2\u0006\u0010\u0010\u001a\u00020\u0011H\u0016R\u0016\u0010\u0003\u001a\n\u0012\u0004\u0012\u00020\u0005\u0018\u00010\u0004X\u000e¢\u0006\u0002\n\u0000¨\u0006\u0013"}, d2 = {"Lorg/coeye/client/StatusActivity;", "Landroidx/appcompat/app/AppCompatActivity;", "()V", "adapter", "Landroid/widget/ArrayAdapter;", "", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onCreateOptionsMenu", "", "menu", "Landroid/view/Menu;", "onDestroy", "onOptionsItemSelected", "item", "Landroid/view/MenuItem;", "Companion", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: StatusActivity.kt */
public final class StatusActivity extends AppCompatActivity {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    private static final int LIMIT = 20;
    /* access modifiers changed from: private */
    public static final Set<ArrayAdapter<String>> adapters = new HashSet();
    /* access modifiers changed from: private */
    public static final LinkedList<String> messages = new LinkedList<>();
    private ArrayAdapter<String> adapter;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView((int) R.layout.list);
        this.adapter = new ArrayAdapter<>(this, 17367043, 16908308, messages);
        ((ListView) findViewById(16908298)).setAdapter(this.adapter);
        ArrayAdapter it = this.adapter;
        if (it != null) {
            adapters.add(it);
        }
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        TypeIntrinsics.asMutableCollection(adapters).remove(this.adapter);
        super.onDestroy();
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        Intrinsics.checkNotNullParameter(menu, "menu");
        MenuInflater inflater = getMenuInflater();
        Intrinsics.checkNotNullExpressionValue(inflater, "menuInflater");
        inflater.inflate(R.menu.status, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        Intrinsics.checkNotNullParameter(item, "item");
        if (item.getItemId() != R.id.clear) {
            return super.onOptionsItemSelected(item);
        }
        Companion.clearMessages();
        return true;
    }

    @Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010#\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\bJ\u0006\u0010\u000e\u001a\u00020\fJ\b\u0010\u000f\u001a\u00020\fH\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u001a\u0010\u0005\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\b0\u00070\u0006X\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\t\u001a\b\u0012\u0004\u0012\u00020\b0\nX\u0004¢\u0006\u0002\n\u0000¨\u0006\u0010"}, d2 = {"Lorg/coeye/client/StatusActivity$Companion;", "", "()V", "LIMIT", "", "adapters", "", "Landroid/widget/ArrayAdapter;", "", "messages", "Ljava/util/LinkedList;", "addMessage", "", "originalMessage", "clearMessages", "notifyAdapters", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: StatusActivity.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        private final void notifyAdapters() {
            for (ArrayAdapter adapter : StatusActivity.adapters) {
                adapter.notifyDataSetChanged();
            }
        }

        public final void addMessage(String originalMessage) {
            Intrinsics.checkNotNullParameter(originalMessage, "originalMessage");
            DateFormat format = DateFormat.getTimeInstance(2);
            StatusActivity.messages.add(format.format(new Date()) + " - " + originalMessage);
            while (StatusActivity.messages.size() > 20) {
                StatusActivity.messages.removeFirst();
            }
            notifyAdapters();
        }

        public final void clearMessages() {
            StatusActivity.messages.clear();
            notifyAdapters();
        }
    }
}
