package org.commonmark.internal;

import org.commonmark.parser.block.BlockParser;
import org.commonmark.parser.block.BlockStart;

public class BlockStartImpl extends BlockStart {
    private final BlockParser[] blockParsers;
    private int newColumn = -1;
    private int newIndex = -1;
    private boolean replaceActiveBlockParser = false;

    public BlockStartImpl(BlockParser... blockParsers2) {
        this.blockParsers = blockParsers2;
    }

    public BlockParser[] getBlockParsers() {
        return this.blockParsers;
    }

    public int getNewIndex() {
        return this.newIndex;
    }

    public int getNewColumn() {
        return this.newColumn;
    }

    public boolean isReplaceActiveBlockParser() {
        return this.replaceActiveBlockParser;
    }

    public BlockStart atIndex(int newIndex2) {
        this.newIndex = newIndex2;
        return this;
    }

    public BlockStart atColumn(int newColumn2) {
        this.newColumn = newColumn2;
        return this;
    }

    public BlockStart replaceActiveBlockParser() {
        this.replaceActiveBlockParser = true;
        return this;
    }
}
