package ru.noties.markwon;

import android.text.Spanned;
import android.widget.TextView;
import org.commonmark.node.Node;
import org.commonmark.parser.Parser;
import ru.noties.markwon.MarkwonConfiguration;
import ru.noties.markwon.MarkwonSpansFactory;
import ru.noties.markwon.MarkwonVisitor;
import ru.noties.markwon.core.CorePlugin;
import ru.noties.markwon.core.MarkwonTheme;
import ru.noties.markwon.html.MarkwonHtmlRenderer;
import ru.noties.markwon.image.AsyncDrawableLoader;
import ru.noties.markwon.priority.Priority;

public abstract class AbstractMarkwonPlugin implements MarkwonPlugin {
    public void configureParser(Parser.Builder builder) {
    }

    public void configureTheme(MarkwonTheme.Builder builder) {
    }

    public void configureImages(AsyncDrawableLoader.Builder builder) {
    }

    public void configureConfiguration(MarkwonConfiguration.Builder builder) {
    }

    public void configureVisitor(MarkwonVisitor.Builder builder) {
    }

    public void configureSpansFactory(MarkwonSpansFactory.Builder builder) {
    }

    public void configureHtmlRenderer(MarkwonHtmlRenderer.Builder builder) {
    }

    public Priority priority() {
        return Priority.after(CorePlugin.class);
    }

    public String processMarkdown(String markdown) {
        return markdown;
    }

    public void beforeRender(Node node) {
    }

    public void afterRender(Node node, MarkwonVisitor visitor) {
    }

    public void beforeSetText(TextView textView, Spanned markdown) {
    }

    public void afterSetText(TextView textView) {
    }
}
