package ru.noties.markwon;

import android.content.Context;
import android.text.Spanned;
import android.widget.TextView;
import org.commonmark.node.Node;
import ru.noties.markwon.core.CorePlugin;

public abstract class Markwon {

    public interface Builder {
        Builder bufferType(TextView.BufferType bufferType);

        Markwon build();

        Builder usePlugin(MarkwonPlugin markwonPlugin);

        Builder usePlugins(Iterable<? extends MarkwonPlugin> iterable);
    }

    public abstract <P extends MarkwonPlugin> P getPlugin(Class<P> cls);

    public abstract boolean hasPlugin(Class<? extends MarkwonPlugin> cls);

    public abstract Node parse(String str);

    public abstract Spanned render(Node node);

    public abstract void setMarkdown(TextView textView, String str);

    public abstract void setParsedMarkdown(TextView textView, Spanned spanned);

    public abstract Spanned toMarkdown(String str);

    public static Markwon create(Context context) {
        return builder(context).usePlugin(CorePlugin.create()).build();
    }

    public static Builder builder(Context context) {
        return new MarkwonBuilderImpl(context);
    }
}
