package ru.noties.markwon;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import org.commonmark.node.Node;

public abstract class MarkwonReducer {
    public abstract List<Node> reduce(Node node);

    public static MarkwonReducer directChildren() {
        return new DirectChildren();
    }

    static class DirectChildren extends MarkwonReducer {
        DirectChildren() {
        }

        public List<Node> reduce(Node root) {
            Node node = root.getFirstChild();
            if (node == null) {
                return Collections.singletonList(root);
            }
            List<Node> list = new ArrayList<>();
            while (node != null) {
                list.add(node);
                Node temp = node.getNext();
                node.unlink();
                node = temp;
            }
            return list;
        }
    }
}
