package ru.noties.markwon;

import org.commonmark.node.Node;
import org.commonmark.node.Visitor;

public interface MarkwonVisitor extends Visitor {

    public interface Builder {
        MarkwonVisitor build(MarkwonConfiguration markwonConfiguration, RenderProps renderProps);

        <N extends Node> Builder on(Class<N> cls, NodeVisitor<? super N> nodeVisitor);
    }

    public interface NodeVisitor<N extends Node> {
        void visit(MarkwonVisitor markwonVisitor, N n);
    }

    SpannableBuilder builder();

    void clear();

    MarkwonConfiguration configuration();

    void ensureNewLine();

    void forceNewLine();

    boolean hasNext(Node node);

    int length();

    RenderProps renderProps();

    void setSpans(int i, Object obj);

    <N extends Node> void setSpansForNode(Class<N> cls, int i);

    <N extends Node> void setSpansForNode(N n, int i);

    <N extends Node> void setSpansForNodeOptional(Class<N> cls, int i);

    <N extends Node> void setSpansForNodeOptional(N n, int i);

    void visitChildren(Node node);
}
