package ru.noties.markwon;

public class Prop<T> {
    private final String name;

    public static <T> Prop<T> of(Class<T> cls, String name2) {
        return new Prop<>(name2);
    }

    public static <T> Prop<T> of(String name2) {
        return new Prop<>(name2);
    }

    Prop(String name2) {
        this.name = name2;
    }

    public String name() {
        return this.name;
    }

    public T get(RenderProps props) {
        return props.get(this);
    }

    public T get(RenderProps props, T defValue) {
        return props.get(this, defValue);
    }

    public T require(RenderProps props) {
        T t = get(props);
        if (t != null) {
            return t;
        }
        throw new NullPointerException(this.name);
    }

    public void set(RenderProps props, T value) {
        props.set(this, value);
    }

    public void clear(RenderProps props) {
        props.clear(this);
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        return this.name.equals(((Prop) o).name);
    }

    public int hashCode() {
        return this.name.hashCode();
    }

    public String toString() {
        return "Prop{name='" + this.name + '\'' + '}';
    }
}
