package ru.noties.markwon;

import java.util.HashMap;
import java.util.Map;

class RenderPropsImpl implements RenderProps {
    private final Map<Prop, Object> values = new HashMap(3);

    RenderPropsImpl() {
    }

    public <T> T get(Prop<T> prop) {
        return this.values.get(prop);
    }

    public <T> T get(Prop<T> prop, T defValue) {
        Object value = this.values.get(prop);
        if (value != null) {
            return value;
        }
        return defValue;
    }

    public <T> void set(Prop<T> prop, T value) {
        if (value == null) {
            this.values.remove(prop);
        } else {
            this.values.put(prop, value);
        }
    }

    public <T> void clear(Prop<T> prop) {
        this.values.remove(prop);
    }

    public void clearAll() {
        this.values.clear();
    }
}
