package ru.noties.markwon.core.factory;

import kotlin.text.Typography;
import ru.noties.markwon.MarkwonConfiguration;
import ru.noties.markwon.RenderProps;
import ru.noties.markwon.SpanFactory;
import ru.noties.markwon.core.CoreProps;
import ru.noties.markwon.core.spans.BulletListItemSpan;
import ru.noties.markwon.core.spans.OrderedListItemSpan;

public class ListItemSpanFactory implements SpanFactory {
    public Object getSpans(MarkwonConfiguration configuration, RenderProps props) {
        if (CoreProps.ListItemType.BULLET == CoreProps.LIST_ITEM_TYPE.require(props)) {
            return new BulletListItemSpan(configuration.theme(), CoreProps.BULLET_LIST_ITEM_LEVEL.require(props).intValue());
        }
        return new OrderedListItemSpan(configuration.theme(), String.valueOf(CoreProps.ORDERED_LIST_ITEM_NUMBER.require(props)) + "." + Typography.nbsp);
    }
}
