package ru.noties.markwon.core.spans;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.Layout;
import android.text.style.LeadingMarginSpan;
import ru.noties.markwon.core.MarkwonTheme;

public class BlockQuoteSpan implements LeadingMarginSpan {
    private final Paint paint = ObjectsPool.paint();
    private final Rect rect = ObjectsPool.rect();
    private final MarkwonTheme theme;

    public BlockQuoteSpan(MarkwonTheme theme2) {
        this.theme = theme2;
    }

    public int getLeadingMargin(boolean first) {
        return this.theme.getBlockMargin();
    }

    public void drawLeadingMargin(Canvas c, Paint p, int x, int dir, int top, int baseline, int bottom, CharSequence text, int start, int end, boolean first, Layout layout) {
        int width = this.theme.getBlockQuoteWidth();
        Paint paint2 = p;
        this.paint.set(p);
        this.theme.applyBlockQuoteStyle(this.paint);
        int l = (dir * width) + x;
        int r = (dir * width) + l;
        int i = top;
        this.rect.set(Math.min(l, r), top, Math.max(l, r), bottom);
        Canvas canvas = c;
        c.drawRect(this.rect, this.paint);
    }
}
