package ru.noties.markwon.core.spans;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.Layout;
import android.text.TextPaint;
import android.text.style.LeadingMarginSpan;
import android.text.style.MetricAffectingSpan;
import ru.noties.markwon.core.MarkwonTheme;

public class CodeBlockSpan extends MetricAffectingSpan implements LeadingMarginSpan {
    private final Paint paint = ObjectsPool.paint();
    private final Rect rect = ObjectsPool.rect();
    private final MarkwonTheme theme;

    public CodeBlockSpan(MarkwonTheme theme2) {
        this.theme = theme2;
    }

    public void updateMeasureState(TextPaint p) {
        apply(p);
    }

    public void updateDrawState(TextPaint ds) {
        apply(ds);
    }

    private void apply(TextPaint p) {
        this.theme.applyCodeBlockTextStyle(p);
    }

    public int getLeadingMargin(boolean first) {
        return this.theme.getCodeBlockMargin();
    }

    public void drawLeadingMargin(Canvas c, Paint p, int x, int dir, int top, int baseline, int bottom, CharSequence text, int start, int end, boolean first, Layout layout) {
        int right;
        int left;
        this.paint.setStyle(Paint.Style.FILL);
        Paint paint2 = p;
        this.paint.setColor(this.theme.getCodeBlockBackgroundColor(p));
        if (dir > 0) {
            left = x;
            right = c.getWidth();
        } else {
            left = x - c.getWidth();
            right = x;
        }
        int i = top;
        this.rect.set(left, top, right, bottom);
        Canvas canvas = c;
        c.drawRect(this.rect, this.paint);
    }
}
