package ru.noties.markwon.core.spans;

import android.text.TextPaint;
import android.text.style.MetricAffectingSpan;
import ru.noties.markwon.core.MarkwonTheme;

public class CodeSpan extends MetricAffectingSpan {
    private final MarkwonTheme theme;

    public CodeSpan(MarkwonTheme theme2) {
        this.theme = theme2;
    }

    public void updateMeasureState(TextPaint p) {
        apply(p);
    }

    public void updateDrawState(TextPaint ds) {
        apply(ds);
        ds.bgColor = this.theme.getCodeBackgroundColor(ds);
    }

    private void apply(TextPaint p) {
        this.theme.applyCodeTextStyle(p);
    }
}
