package ru.noties.markwon.core.spans;

import android.graphics.Typeface;
import android.text.TextPaint;
import android.text.style.MetricAffectingSpan;

public class CustomTypefaceSpan extends MetricAffectingSpan {
    private final Typeface typeface;

    public static CustomTypefaceSpan create(Typeface typeface2) {
        return new CustomTypefaceSpan(typeface2);
    }

    public CustomTypefaceSpan(Typeface typeface2) {
        this.typeface = typeface2;
    }

    public void updateMeasureState(TextPaint p) {
        updatePaint(p);
    }

    public void updateDrawState(TextPaint tp) {
        updatePaint(tp);
    }

    private void updatePaint(TextPaint paint) {
        paint.setTypeface(this.typeface);
    }
}
