package ru.noties.markwon.core.spans;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.Layout;
import android.text.TextPaint;
import android.text.style.LeadingMarginSpan;
import android.text.style.MetricAffectingSpan;
import ru.noties.markwon.core.MarkwonTheme;
import ru.noties.markwon.utils.LeadingMarginUtils;

public class HeadingSpan extends MetricAffectingSpan implements LeadingMarginSpan {
    private final int level;
    private final Paint paint = ObjectsPool.paint();
    private final Rect rect = ObjectsPool.rect();
    private final MarkwonTheme theme;

    public HeadingSpan(MarkwonTheme theme2, int level2) {
        this.theme = theme2;
        this.level = level2;
    }

    public void updateMeasureState(TextPaint p) {
        apply(p);
    }

    public void updateDrawState(TextPaint tp) {
        apply(tp);
    }

    private void apply(TextPaint paint2) {
        this.theme.applyHeadingTextStyle(paint2, this.level);
    }

    public int getLeadingMargin(boolean first) {
        return 0;
    }

    public void drawLeadingMargin(Canvas c, Paint p, int x, int dir, int top, int baseline, int bottom, CharSequence text, int start, int end, boolean first, Layout layout) {
        int right;
        int left;
        int i = bottom;
        int i2 = this.level;
        if (i2 == 1 || i2 == 2) {
            if (LeadingMarginUtils.selfEnd(end, text, this)) {
                Paint paint2 = p;
                this.paint.set(p);
                this.theme.applyHeadingBreakStyle(this.paint);
                float height = this.paint.getStrokeWidth();
                if (height > 0.0f) {
                    int b = (int) ((((float) i) - height) + 0.5f);
                    if (dir > 0) {
                        left = x;
                        right = c.getWidth();
                    } else {
                        left = x - c.getWidth();
                        right = x;
                    }
                    this.rect.set(left, b, right, i);
                    Canvas canvas = c;
                    c.drawRect(this.rect, this.paint);
                    return;
                }
                Canvas canvas2 = c;
                return;
            }
            Canvas canvas3 = c;
            Paint paint3 = p;
            return;
        }
        Canvas canvas4 = c;
        Paint paint4 = p;
        CharSequence charSequence = text;
        int i3 = end;
    }
}
