package ru.noties.markwon.core.spans;

import android.text.TextPaint;
import android.text.style.URLSpan;
import android.view.View;
import ru.noties.markwon.core.MarkwonTheme;

public class LinkSpan extends URLSpan {
    private final String link;
    private final Resolver resolver;
    private final MarkwonTheme theme;

    public interface Resolver {
        void resolve(View view, String str);
    }

    public LinkSpan(MarkwonTheme theme2, String link2, Resolver resolver2) {
        super(link2);
        this.theme = theme2;
        this.link = link2;
        this.resolver = resolver2;
    }

    public void onClick(View widget) {
        this.resolver.resolve(widget, this.link);
    }

    public void updateDrawState(TextPaint ds) {
        this.theme.applyLinkStyle(ds);
    }
}
