package ru.noties.markwon.core.spans;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.text.Layout;
import android.text.Spanned;
import android.text.TextPaint;
import android.text.style.LeadingMarginSpan;
import android.widget.TextView;
import ru.noties.markwon.core.MarkwonTheme;
import ru.noties.markwon.utils.LeadingMarginUtils;

public class OrderedListItemSpan implements LeadingMarginSpan {
    private int margin;
    private final String number;
    private final Paint paint = ObjectsPool.paint();
    private final MarkwonTheme theme;

    public static void measure(TextView textView, CharSequence text) {
        if (text instanceof Spanned) {
            OrderedListItemSpan[] spans = (OrderedListItemSpan[]) ((Spanned) text).getSpans(0, text.length(), OrderedListItemSpan.class);
            if (spans != null) {
                TextPaint paint2 = textView.getPaint();
                for (OrderedListItemSpan span : spans) {
                    span.margin = (int) (paint2.measureText(span.number) + 0.5f);
                }
            }
        }
    }

    public OrderedListItemSpan(MarkwonTheme theme2, String number2) {
        this.theme = theme2;
        this.number = number2;
    }

    public int getLeadingMargin(boolean first) {
        return Math.max(this.margin, this.theme.getBlockMargin());
    }

    public void drawLeadingMargin(Canvas c, Paint p, int x, int dir, int top, int baseline, int bottom, CharSequence text, int start, int end, boolean first, Layout layout) {
        int left;
        if (first) {
            if (!LeadingMarginUtils.selfStart(start, text, this)) {
                Canvas canvas = c;
                Paint paint2 = p;
                int i = baseline;
                return;
            }
            Paint paint3 = p;
            this.paint.set(p);
            this.theme.applyListItemStyle(this.paint);
            int numberWidth = (int) (this.paint.measureText(this.number) + 0.5f);
            int width = this.theme.getBlockMargin();
            if (numberWidth > width) {
                width = numberWidth;
                this.margin = numberWidth;
            } else {
                this.margin = 0;
            }
            if (dir > 0) {
                left = (x + (width * dir)) - numberWidth;
            } else {
                left = x + (width * dir) + (width - numberWidth);
            }
            Canvas canvas2 = c;
            c.drawText(this.number, (float) left, (float) baseline, this.paint);
            return;
        }
        Canvas canvas3 = c;
        Paint paint4 = p;
        int i2 = baseline;
        CharSequence charSequence = text;
        int i3 = start;
    }
}
