package ru.noties.markwon.core.spans;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.Layout;
import android.text.style.LeadingMarginSpan;
import ru.noties.markwon.core.MarkwonTheme;

public class ThematicBreakSpan implements LeadingMarginSpan {
    private final Paint paint = ObjectsPool.paint();
    private final Rect rect = ObjectsPool.rect();
    private final MarkwonTheme theme;

    public ThematicBreakSpan(MarkwonTheme theme2) {
        this.theme = theme2;
    }

    public int getLeadingMargin(boolean first) {
        return 0;
    }

    public void drawLeadingMargin(Canvas c, Paint p, int x, int dir, int top, int baseline, int bottom, CharSequence text, int start, int end, boolean first, Layout layout) {
        int right;
        int left;
        int middle = ((bottom - top) / 2) + top;
        Paint paint2 = p;
        this.paint.set(p);
        this.theme.applyThematicBreakStyle(this.paint);
        int halfHeight = (int) ((((float) ((int) (this.paint.getStrokeWidth() + 0.5f))) / 2.0f) + 0.5f);
        if (dir > 0) {
            left = x;
            right = c.getWidth();
        } else {
            left = x - c.getWidth();
            right = x;
        }
        this.rect.set(left, middle - halfHeight, right, middle + halfHeight);
        Canvas canvas = c;
        c.drawRect(this.rect, this.paint);
    }
}
