package ru.noties.markwon.html;

import java.util.List;
import java.util.Map;

public interface HtmlTag {
    public static final int NO_END = -1;

    public interface Block extends HtmlTag {
        List<Block> children();

        boolean isRoot();

        Block parent();
    }

    public interface Inline extends HtmlTag {
    }

    Map<String, String> attributes();

    int end();

    Block getAsBlock();

    Inline getAsInline();

    boolean isBlock();

    boolean isClosed();

    boolean isEmpty();

    boolean isInline();

    String name();

    int start();
}
