package ru.noties.markwon.html;

import java.util.Collection;
import ru.noties.markwon.MarkwonVisitor;
import ru.noties.markwon.html.MarkwonHtmlRendererImpl;

public abstract class MarkwonHtmlRenderer {

    public interface Builder {
        Builder allowNonClosedTags(boolean z);

        MarkwonHtmlRenderer build();

        TagHandler getHandler(String str);

        Builder setHandler(String str, TagHandler tagHandler);

        Builder setHandler(Collection<String> collection, TagHandler tagHandler);
    }

    public abstract void render(MarkwonVisitor markwonVisitor, MarkwonHtmlParser markwonHtmlParser);

    public abstract TagHandler tagHandler(String str);

    public static Builder builder() {
        return new MarkwonHtmlRendererImpl.BuilderImpl();
    }
}
