package ru.noties.markwon.html;

import ru.noties.markwon.MarkwonVisitor;
import ru.noties.markwon.html.HtmlTag;

public abstract class TagHandler {
    public abstract void handle(MarkwonVisitor markwonVisitor, MarkwonHtmlRenderer markwonHtmlRenderer, HtmlTag htmlTag);

    protected static void visitChildren(MarkwonVisitor visitor, MarkwonHtmlRenderer renderer, HtmlTag.Block block) {
        for (HtmlTag.Block child : block.children()) {
            if (child.isClosed()) {
                TagHandler handler = renderer.tagHandler(child.name());
                if (handler != null) {
                    handler.handle(visitor, renderer, child);
                } else {
                    visitChildren(visitor, renderer, child);
                }
            }
        }
    }
}
