package ru.noties.markwon.html;

abstract class TrimmingAppender {
    /* access modifiers changed from: package-private */
    public abstract <T extends Appendable & CharSequence> void append(T t, String str);

    TrimmingAppender() {
    }

    static TrimmingAppender create() {
        return new Impl();
    }

    static class Impl extends TrimmingAppender {
        Impl() {
        }

        /* access modifiers changed from: package-private */
        public <T extends Appendable & CharSequence> void append(T output, String data) {
            int outputLength;
            int startLength = ((CharSequence) output).length();
            boolean previousIsWhiteSpace = false;
            int length = data.length();
            for (int i = 0; i < length; i++) {
                char c = data.charAt(i);
                if (Character.isWhitespace(c)) {
                    previousIsWhiteSpace = true;
                } else {
                    if (previousIsWhiteSpace && (outputLength = ((CharSequence) output).length()) > 0 && !Character.isWhitespace(((CharSequence) output).charAt(outputLength - 1))) {
                        AppendableUtils.appendQuietly((Appendable) output, ' ');
                    }
                    previousIsWhiteSpace = false;
                    AppendableUtils.appendQuietly((Appendable) output, c);
                }
            }
            if (previousIsWhiteSpace && startLength < ((CharSequence) output).length()) {
                AppendableUtils.appendQuietly((Appendable) output, ' ');
            }
        }
    }
}
