package ru.noties.markwon.html.jsoup.nodes;

import java.util.Map;
import ru.noties.markwon.html.jsoup.helper.Validate;

public class Attribute implements Map.Entry<String, String>, Cloneable {
    private String key;
    Attributes parent;
    private String val;

    public Attribute(String key2, String value) {
        this(key2, value, (Attributes) null);
    }

    public Attribute(String key2, String val2, Attributes parent2) {
        Validate.notNull(key2);
        this.key = key2.trim();
        Validate.notEmpty(key2);
        this.val = val2;
        this.parent = parent2;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key2) {
        int i;
        Validate.notNull(key2);
        String key3 = key2.trim();
        Validate.notEmpty(key3);
        Attributes attributes = this.parent;
        if (!(attributes == null || (i = attributes.indexOfKey(this.key)) == -1)) {
            this.parent.keys[i] = key3;
        }
        this.key = key3;
    }

    public String getValue() {
        return this.val;
    }

    public String setValue(String val2) {
        int i;
        String oldVal = this.parent.get(this.key);
        Attributes attributes = this.parent;
        if (!(attributes == null || (i = attributes.indexOfKey(this.key)) == -1)) {
            this.parent.vals[i] = val2;
        }
        this.val = val2;
        return oldVal;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Attribute attribute = (Attribute) o;
        String str = this.key;
        if (str == null ? attribute.key != null : !str.equals(attribute.key)) {
            return false;
        }
        String str2 = this.val;
        if (str2 != null) {
            return str2.equals(attribute.val);
        }
        if (attribute.val == null) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.key;
        int i = 0;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        String str2 = this.val;
        if (str2 != null) {
            i = str2.hashCode();
        }
        return hashCode + i;
    }

    public Attribute clone() {
        try {
            return (Attribute) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new RuntimeException(e);
        }
    }
}
