package ru.noties.markwon.html.jsoup.nodes;

import java.lang.reflect.Field;
import java.util.Collections;
import java.util.Map;
import org.commonmark.internal.util.Html5Entities;

public abstract class CommonMarkEntities {
    private static final Map<String, String> COMMONMARK_NAMED_ENTITIES;

    public static boolean isNamedEntity(String name) {
        return COMMONMARK_NAMED_ENTITIES.containsKey(name);
    }

    public static int codepointsForName(String name, int[] codepoints) {
        String value = COMMONMARK_NAMED_ENTITIES.get(name);
        if (value == null) {
            return 0;
        }
        int length = value.length();
        if (length == 1) {
            codepoints[0] = value.charAt(0);
        } else {
            codepoints[0] = value.charAt(0);
            codepoints[1] = value.charAt(1);
        }
        return length;
    }

    static {
        Map<String, String> map;
        try {
            Field field = Html5Entities.class.getDeclaredField("NAMED_CHARACTER_REFERENCES");
            field.setAccessible(true);
            map = (Map) field.get((Object) null);
        } catch (Throwable t) {
            Map<String, String> map2 = Collections.emptyMap();
            t.printStackTrace();
            map = map2;
        }
        COMMONMARK_NAMED_ENTITIES = map;
    }

    private CommonMarkEntities() {
    }
}
