package ru.noties.markwon.html.tag;

import org.commonmark.node.Heading;
import ru.noties.markwon.MarkwonConfiguration;
import ru.noties.markwon.RenderProps;
import ru.noties.markwon.SpanFactory;
import ru.noties.markwon.core.CoreProps;
import ru.noties.markwon.html.HtmlTag;

public class HeadingHandler extends SimpleTagHandler {
    public Object getSpans(MarkwonConfiguration configuration, RenderProps renderProps, HtmlTag tag) {
        int level;
        SpanFactory factory = configuration.spansFactory().get(Heading.class);
        if (factory == null) {
            return null;
        }
        try {
            level = Integer.parseInt(tag.name().substring(1));
        } catch (NumberFormatException e) {
            e.printStackTrace();
            level = 0;
        }
        if (level < 1 || level > 6) {
            return null;
        }
        CoreProps.HEADING_LEVEL.set(renderProps, Integer.valueOf(level));
        return factory.getSpans(configuration, renderProps);
    }
}
