package ru.noties.markwon.html.tag;

import android.text.TextUtils;
import org.commonmark.node.Link;
import ru.noties.markwon.MarkwonConfiguration;
import ru.noties.markwon.RenderProps;
import ru.noties.markwon.SpanFactory;
import ru.noties.markwon.core.CoreProps;
import ru.noties.markwon.html.HtmlTag;

public class LinkHandler extends SimpleTagHandler {
    public Object getSpans(MarkwonConfiguration configuration, RenderProps renderProps, HtmlTag tag) {
        SpanFactory spanFactory;
        String destination = tag.attributes().get("href");
        if (TextUtils.isEmpty(destination) || (spanFactory = configuration.spansFactory().get(Link.class)) == null) {
            return null;
        }
        CoreProps.LINK_DESTINATION.set(renderProps, configuration.urlProcessor().process(destination));
        return spanFactory.getSpans(configuration, renderProps);
    }
}
