package ru.noties.markwon.html.tag;

import org.commonmark.node.ListItem;
import ru.noties.markwon.MarkwonConfiguration;
import ru.noties.markwon.MarkwonVisitor;
import ru.noties.markwon.RenderProps;
import ru.noties.markwon.SpanFactory;
import ru.noties.markwon.SpannableBuilder;
import ru.noties.markwon.core.CoreProps;
import ru.noties.markwon.html.HtmlTag;
import ru.noties.markwon.html.MarkwonHtmlRenderer;
import ru.noties.markwon.html.TagHandler;

public class ListHandler extends TagHandler {
    public void handle(MarkwonVisitor visitor, MarkwonHtmlRenderer renderer, HtmlTag tag) {
        if (tag.isBlock()) {
            HtmlTag.Block block = tag.getAsBlock();
            boolean ol = "ol".equals(block.name());
            boolean ul = "ul".equals(block.name());
            if (ol || ul) {
                MarkwonConfiguration configuration = visitor.configuration();
                RenderProps renderProps = visitor.renderProps();
                SpanFactory spanFactory = configuration.spansFactory().get(ListItem.class);
                int number = 1;
                int bulletLevel = currentBulletListLevel(block);
                for (HtmlTag.Block child : block.children()) {
                    visitChildren(visitor, renderer, child);
                    if (spanFactory != null && "li".equals(child.name())) {
                        if (ol) {
                            CoreProps.LIST_ITEM_TYPE.set(renderProps, CoreProps.ListItemType.ORDERED);
                            CoreProps.ORDERED_LIST_ITEM_NUMBER.set(renderProps, Integer.valueOf(number));
                            number++;
                        } else {
                            CoreProps.LIST_ITEM_TYPE.set(renderProps, CoreProps.ListItemType.BULLET);
                            CoreProps.BULLET_LIST_ITEM_LEVEL.set(renderProps, Integer.valueOf(bulletLevel));
                        }
                        SpannableBuilder.setSpans(visitor.builder(), spanFactory.getSpans(configuration, renderProps), child.start(), child.end());
                    }
                }
                MarkwonVisitor markwonVisitor = visitor;
                MarkwonHtmlRenderer markwonHtmlRenderer = renderer;
            }
        }
    }

    private static int currentBulletListLevel(HtmlTag.Block block) {
        int level = 0;
        while (true) {
            HtmlTag.Block parent = block.parent();
            block = parent;
            if (parent == null) {
                return level;
            }
            if ("ul".equals(block.name()) || "ol".equals(block.name())) {
                level++;
            }
        }
    }
}
