package ru.noties.markwon.image;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import java.io.InputStream;
import ru.noties.markwon.utils.DrawableUtils;

public class ImageMediaDecoder extends MediaDecoder {
    private final Resources resources;

    public static ImageMediaDecoder create(Resources resources2) {
        return new ImageMediaDecoder(resources2);
    }

    ImageMediaDecoder(Resources resources2) {
        this.resources = resources2;
    }

    public Drawable decode(InputStream inputStream) {
        Bitmap bitmap = BitmapFactory.decodeStream(inputStream);
        if (bitmap == null) {
            return null;
        }
        Drawable out = new BitmapDrawable(this.resources, bitmap);
        DrawableUtils.intrinsicBounds(out);
        return out;
    }
}
