package ru.noties.markwon.image;

import android.graphics.Rect;
import ru.noties.markwon.image.ImageSize;

public class ImageSizeResolverDef extends ImageSizeResolver {
    protected static final String UNIT_EM = "em";
    protected static final String UNIT_PERCENT = "%";

    public Rect resolveImageSize(ImageSize imageSize, Rect imageBounds, int canvasWidth, float textSize) {
        int w;
        int h;
        if (imageSize == null) {
            int w2 = imageBounds.width();
            if (w2 <= canvasWidth) {
                return imageBounds;
            }
            return new Rect(0, 0, canvasWidth, (int) ((((float) imageBounds.height()) / (((float) w2) / ((float) canvasWidth))) + 0.5f));
        }
        ImageSize.Dimension width = imageSize.width;
        ImageSize.Dimension height = imageSize.height;
        int imageWidth = imageBounds.width();
        int imageHeight = imageBounds.height();
        float ratio = ((float) imageWidth) / ((float) imageHeight);
        if (width != null) {
            if (UNIT_PERCENT.equals(width.unit)) {
                w = (int) ((((float) canvasWidth) * (width.value / 100.0f)) + 0.5f);
            } else {
                w = resolveAbsolute(width, imageWidth, textSize);
            }
            if (height == null || UNIT_PERCENT.equals(height.unit)) {
                h = (int) ((((float) w) / ratio) + 0.5f);
            } else {
                h = resolveAbsolute(height, imageHeight, textSize);
            }
            return new Rect(0, 0, w, h);
        } else if (height == null) {
            return imageBounds;
        } else {
            if (UNIT_PERCENT.equals(height.unit)) {
                return imageBounds;
            }
            int h2 = resolveAbsolute(height, imageHeight, textSize);
            return new Rect(0, 0, (int) ((((float) h2) * ratio) + 0.5f), h2);
        }
    }

    /* access modifiers changed from: protected */
    public int resolveAbsolute(ImageSize.Dimension dimension, int original, float textSize) {
        if (UNIT_EM.equals(dimension.unit)) {
            return (int) ((dimension.value * textSize) + 0.5f);
        }
        return (int) (dimension.value + 0.5f);
    }
}
