package ru.noties.markwon.image.data;

public class DataUri {
    private final boolean base64;
    private final String contentType;
    private final String data;

    public DataUri(String contentType2, boolean base642, String data2) {
        this.contentType = contentType2;
        this.base64 = base642;
        this.data = data2;
    }

    public String contentType() {
        return this.contentType;
    }

    public boolean base64() {
        return this.base64;
    }

    public String data() {
        return this.data;
    }

    public String toString() {
        return "DataUri{contentType='" + this.contentType + '\'' + ", base64=" + this.base64 + ", data='" + this.data + '\'' + '}';
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DataUri dataUri = (DataUri) o;
        if (this.base64 != dataUri.base64) {
            return false;
        }
        String str = this.contentType;
        if (str == null ? dataUri.contentType != null : !str.equals(dataUri.contentType)) {
            return false;
        }
        String str2 = this.data;
        if (str2 != null) {
            return str2.equals(dataUri.data);
        }
        if (dataUri.data == null) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.contentType;
        int i = 0;
        int result = (((str != null ? str.hashCode() : 0) * 31) + (this.base64 ? 1 : 0)) * 31;
        String str2 = this.data;
        if (str2 != null) {
            i = str2.hashCode();
        }
        return result + i;
    }
}
