package ru.noties.markwon.image.data;

import android.text.TextUtils;
import android.util.Base64;

public abstract class DataUriDecoder {
    public abstract byte[] decode(DataUri dataUri);

    public static DataUriDecoder create() {
        return new Impl();
    }

    static class Impl extends DataUriDecoder {
        Impl() {
        }

        public byte[] decode(DataUri dataUri) {
            String data = dataUri.data();
            if (TextUtils.isEmpty(data)) {
                return null;
            }
            try {
                if (dataUri.base64()) {
                    return Base64.decode(data.getBytes("UTF-8"), 0);
                }
                return data.getBytes("UTF-8");
            } catch (Throwable th) {
                return null;
            }
        }
    }
}
