package ru.noties.markwon.image.data;

public abstract class DataUriParser {
    public abstract DataUri parse(String str);

    public static DataUriParser create() {
        return new Impl();
    }

    static class Impl extends DataUriParser {
        Impl() {
        }

        public DataUri parse(String input) {
            boolean base64;
            String data;
            int index = input.indexOf(44);
            String contentType = null;
            if (index < 0) {
                return null;
            }
            if (index > 0) {
                String[] parts = input.substring(0, index).split(";");
                int length = parts.length;
                if (length <= 0) {
                    contentType = null;
                    base64 = false;
                } else if (length == 1) {
                    String value = parts[0];
                    if ("base64".equals(value)) {
                        contentType = null;
                        base64 = true;
                    } else {
                        if (value.indexOf(47) > -1) {
                            contentType = value;
                        }
                        base64 = false;
                    }
                } else {
                    if (parts[0].indexOf(47) > -1) {
                        contentType = parts[0];
                    }
                    base64 = "base64".equals(parts[length - 1]);
                }
            } else {
                contentType = null;
                base64 = false;
            }
            if (index < input.length()) {
                String value2 = input.substring(index + 1, input.length()).replaceAll("\n", "");
                if (value2.length() == 0) {
                    data = null;
                } else {
                    data = value2;
                }
            } else {
                data = null;
            }
            return new DataUri(contentType, base64, data);
        }
    }
}
