package ru.noties.markwon.image.network;

import android.net.Uri;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URL;
import ru.noties.markwon.image.ImageItem;
import ru.noties.markwon.image.SchemeHandler;

public class NetworkSchemeHandler extends SchemeHandler {
    public static final String SCHEME_HTTP = "http";
    public static final String SCHEME_HTTPS = "https";

    public static NetworkSchemeHandler create() {
        return new NetworkSchemeHandler();
    }

    public ImageItem handle(String raw, Uri uri) {
        try {
            HttpURLConnection connection = (HttpURLConnection) new URL(raw).openConnection();
            connection.connect();
            int responseCode = connection.getResponseCode();
            if (responseCode < 200 || responseCode >= 300) {
                return null;
            }
            return new ImageItem(contentType(connection.getHeaderField("Content-Type")), new BufferedInputStream(connection.getInputStream()));
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    static String contentType(String contentType) {
        if (contentType == null) {
            return null;
        }
        int index = contentType.indexOf(59);
        if (index > -1) {
            return contentType.substring(0, index);
        }
        return contentType;
    }
}
