package ru.noties.markwon.image.okhttp;

import java.util.Arrays;
import java.util.Collection;
import okhttp3.OkHttpClient;
import ru.noties.markwon.AbstractMarkwonPlugin;
import ru.noties.markwon.image.AsyncDrawableLoader;
import ru.noties.markwon.image.ImagesPlugin;
import ru.noties.markwon.image.SchemeHandler;
import ru.noties.markwon.image.network.NetworkSchemeHandler;
import ru.noties.markwon.priority.Priority;

public class OkHttpImagesPlugin extends AbstractMarkwonPlugin {
    private final OkHttpClient client;

    public static OkHttpImagesPlugin create() {
        return new OkHttpImagesPlugin(new OkHttpClient());
    }

    public static OkHttpImagesPlugin create(OkHttpClient okHttpClient) {
        return new OkHttpImagesPlugin(okHttpClient);
    }

    OkHttpImagesPlugin(OkHttpClient client2) {
        this.client = client2;
    }

    public void configureImages(AsyncDrawableLoader.Builder builder) {
        builder.addSchemeHandler((Collection<String>) Arrays.asList(new String[]{NetworkSchemeHandler.SCHEME_HTTP, NetworkSchemeHandler.SCHEME_HTTPS}), (SchemeHandler) new OkHttpSchemeHandler(this.client));
    }

    public Priority priority() {
        return Priority.after(ImagesPlugin.class);
    }
}
