package ru.noties.markwon.image.okhttp;

import android.net.Uri;
import java.io.IOException;
import java.io.InputStream;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.ResponseBody;
import ru.noties.markwon.image.ImageItem;
import ru.noties.markwon.image.SchemeHandler;

class OkHttpSchemeHandler extends SchemeHandler {
    private static final String HEADER_CONTENT_TYPE = "Content-Type";
    private final OkHttpClient client;

    OkHttpSchemeHandler(OkHttpClient client2) {
        this.client = client2;
    }

    public ImageItem handle(String raw, Uri uri) {
        ResponseBody body;
        InputStream inputStream;
        Response response = null;
        try {
            response = this.client.newCall(new Request.Builder().url(raw).tag(raw).build()).execute();
        } catch (IOException e) {
            e.printStackTrace();
        }
        if (response == null || (body = response.body()) == null || (inputStream = body.byteStream()) == null) {
            return null;
        }
        return new ImageItem(response.header(HEADER_CONTENT_TYPE), inputStream);
    }
}
