package ru.noties.markwon.movement;

import android.text.Spanned;
import android.text.method.LinkMovementMethod;
import android.text.method.MovementMethod;
import android.widget.TextView;
import ru.noties.markwon.AbstractMarkwonPlugin;

public class MovementMethodPlugin extends AbstractMarkwonPlugin {
    private final MovementMethod movementMethod;

    public static MovementMethodPlugin create() {
        return create(LinkMovementMethod.getInstance());
    }

    public static MovementMethodPlugin create(MovementMethod movementMethod2) {
        return new MovementMethodPlugin(movementMethod2);
    }

    MovementMethodPlugin(MovementMethod movementMethod2) {
        this.movementMethod = movementMethod2;
    }

    public void beforeSetText(TextView textView, Spanned markdown) {
        textView.setMovementMethod(this.movementMethod);
    }
}
