package ru.noties.markwon.urlprocessor;

import android.net.Uri;
import android.text.TextUtils;

public class UrlProcessorAndroidAssets implements UrlProcessor {
    static final String BASE = "file:///android_asset/";
    static final String MOCK = "https://android.asset/";
    private final UrlProcessorRelativeToAbsolute assetsProcessor;
    private final UrlProcessor processor;

    public UrlProcessorAndroidAssets() {
        this((UrlProcessor) null);
    }

    public UrlProcessorAndroidAssets(UrlProcessor parent) {
        this.assetsProcessor = new UrlProcessorRelativeToAbsolute(MOCK);
        this.processor = parent;
    }

    public String process(String destination) {
        if (TextUtils.isEmpty(Uri.parse(destination).getScheme())) {
            return this.assetsProcessor.process(destination).replace(MOCK, BASE);
        }
        UrlProcessor urlProcessor = this.processor;
        if (urlProcessor != null) {
            return urlProcessor.process(destination);
        }
        return destination;
    }
}
