package ru.noties.markwon.urlprocessor;

import java.net.MalformedURLException;
import java.net.URL;

public class UrlProcessorRelativeToAbsolute implements UrlProcessor {
    private final URL base;

    public UrlProcessorRelativeToAbsolute(String base2) {
        this.base = obtain(base2);
    }

    public String process(String destination) {
        String out = destination;
        if (this.base == null) {
            return out;
        }
        try {
            return new URL(this.base, destination).toString();
        } catch (MalformedURLException e) {
            e.printStackTrace();
            return out;
        }
    }

    private static URL obtain(String base2) {
        try {
            return new URL(base2);
        } catch (MalformedURLException e) {
            e.printStackTrace();
            return null;
        }
    }
}
