package org.coeye.client;

import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.os.Looper;
import androidx.core.app.ActivityCompat;
import com.google.android.gms.common.internal.ServiceSpecificExtraArgs;
import com.google.firebase.messaging.Constants;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.coeye.client.PositionProvider;

@Metadata(d1 = {"\u0000F\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u00002\u00020\u00012\u00020\u0002B\u0015\u0012\u0006\u0010\u0003\u001a\u00020\u0004\u0012\u0006\u0010\u0005\u001a\u00020\u0006¢\u0006\u0002\u0010\u0007J\u0012\u0010\f\u001a\u00020\u000b2\b\u0010\r\u001a\u0004\u0018\u00010\u000bH\u0002J\u0010\u0010\u000e\u001a\u00020\u000f2\u0006\u0010\u0010\u001a\u00020\u0011H\u0016J\u0010\u0010\u0012\u001a\u00020\u000f2\u0006\u0010\n\u001a\u00020\u000bH\u0016J\u0010\u0010\u0013\u001a\u00020\u000f2\u0006\u0010\n\u001a\u00020\u000bH\u0016J \u0010\u0014\u001a\u00020\u000f2\u0006\u0010\n\u001a\u00020\u000b2\u0006\u0010\u0015\u001a\u00020\u00162\u0006\u0010\u0017\u001a\u00020\u0018H\u0016J\b\u0010\u0019\u001a\u00020\u000fH\u0016J\b\u0010\u001a\u001a\u00020\u000fH\u0016J\b\u0010\u001b\u001a\u00020\u000fH\u0016R\u000e\u0010\b\u001a\u00020\tX\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\n\u001a\u00020\u000bX\u0004¢\u0006\u0002\n\u0000¨\u0006\u001c"}, d2 = {"Lorg/coeye/client/AndroidPositionProvider;", "Lorg/coeye/client/PositionProvider;", "Landroid/location/LocationListener;", "context", "Landroid/content/Context;", "listener", "Lorg/coeye/client/PositionProvider$PositionListener;", "(Landroid/content/Context;Lorg/coeye/client/PositionProvider$PositionListener;)V", "locationManager", "Landroid/location/LocationManager;", "provider", "", "getProvider", "accuracy", "onLocationChanged", "", "location", "Landroid/location/Location;", "onProviderDisabled", "onProviderEnabled", "onStatusChanged", "status", "", "extras", "Landroid/os/Bundle;", "requestSingleLocation", "startUpdates", "stopUpdates", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: AndroidPositionProvider.kt */
public final class AndroidPositionProvider extends PositionProvider implements LocationListener {
    private final LocationManager locationManager;
    private final String provider;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public AndroidPositionProvider(Context context, PositionProvider.PositionListener listener) {
        super(context, listener);
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(listener, ServiceSpecificExtraArgs.CastExtraArgs.LISTENER);
        Object systemService = context.getSystemService("location");
        if (systemService != null) {
            this.locationManager = (LocationManager) systemService;
            this.provider = getProvider(getPreferences().getString(MainFragment.KEY_ACCURACY, Constants.ScionAnalytics.PARAM_MEDIUM));
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type android.location.LocationManager");
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x006c A[Catch:{ RuntimeException -> 0x00a0 }] */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x007a A[Catch:{ RuntimeException -> 0x00a0 }] */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void startUpdates() {
        /*
            r8 = this;
            android.content.Context r0 = r8.getContext()     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r1 = "android.permission.ACCESS_FINE_LOCATION"
            int r0 = androidx.core.app.ActivityCompat.checkSelfPermission(r0, r1)     // Catch:{ RuntimeException -> 0x00a0 }
            if (r0 == 0) goto L_0x001e
            org.coeye.client.PositionProvider$PositionListener r0 = r8.getListener()     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.SecurityException r1 = new java.lang.SecurityException     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r2 = "Location permission not granted"
            r1.<init>(r2)     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.Throwable r1 = (java.lang.Throwable) r1     // Catch:{ RuntimeException -> 0x00a0 }
            r0.onPositionError(r1)     // Catch:{ RuntimeException -> 0x00a0 }
            return
        L_0x001e:
            java.lang.String r0 = "startUpdates"
            java.text.SimpleDateFormat r1 = new java.text.SimpleDateFormat     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r2 = "yyyy-MM-dd HH:mm:ss"
            java.util.Locale r3 = java.util.Locale.getDefault()     // Catch:{ RuntimeException -> 0x00a0 }
            r1.<init>(r2, r3)     // Catch:{ RuntimeException -> 0x00a0 }
            java.util.Date r2 = new java.util.Date     // Catch:{ RuntimeException -> 0x00a0 }
            r2.<init>()     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r1 = r1.format(r2)     // Catch:{ RuntimeException -> 0x00a0 }
            android.util.Log.i(r0, r1)     // Catch:{ RuntimeException -> 0x00a0 }
            android.location.LocationManager r2 = r8.locationManager     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r3 = r8.provider     // Catch:{ RuntimeException -> 0x00a0 }
            double r0 = r8.getDistance()     // Catch:{ RuntimeException -> 0x00a0 }
            r4 = 0
            int r6 = (r0 > r4 ? 1 : (r0 == r4 ? 0 : -1))
            if (r6 > 0) goto L_0x0053
            double r0 = r8.getAngle()     // Catch:{ RuntimeException -> 0x00a0 }
            int r6 = (r0 > r4 ? 1 : (r0 == r4 ? 0 : -1))
            if (r6 <= 0) goto L_0x004e
            goto L_0x0053
        L_0x004e:
            long r0 = r8.getInterval()     // Catch:{ RuntimeException -> 0x00a0 }
            goto L_0x0055
        L_0x0053:
            r0 = 1000(0x3e8, double:4.94E-321)
        L_0x0055:
            r4 = r0
            r6 = 0
            r7 = r8
            android.location.LocationListener r7 = (android.location.LocationListener) r7     // Catch:{ RuntimeException -> 0x00a0 }
            r2.requestLocationUpdates(r3, r4, r6, r7)     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r0 = r8.getBracelet()     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r1 = "0"
            boolean r0 = kotlin.jvm.internal.Intrinsics.areEqual((java.lang.Object) r0, (java.lang.Object) r1)     // Catch:{ RuntimeException -> 0x00a0 }
            r1 = 0
            r2 = 0
            if (r0 == 0) goto L_0x007a
            r8.setLastBraceletRc(r2)     // Catch:{ RuntimeException -> 0x00a0 }
            r8.setLastBraceletStatus(r1)     // Catch:{ RuntimeException -> 0x00a0 }
            long r0 = java.lang.System.currentTimeMillis()     // Catch:{ RuntimeException -> 0x00a0 }
            r8.setLastBraceletTime(r0)     // Catch:{ RuntimeException -> 0x00a0 }
            goto L_0x0098
        L_0x007a:
            java.lang.String r0 = r8.getBracelet()     // Catch:{ RuntimeException -> 0x00a0 }
            java.lang.String r4 = r8.getLastBracelet()     // Catch:{ RuntimeException -> 0x00a0 }
            boolean r0 = kotlin.jvm.internal.Intrinsics.areEqual((java.lang.Object) r0, (java.lang.Object) r4)     // Catch:{ RuntimeException -> 0x00a0 }
            if (r0 != 0) goto L_0x0095
            r8.setLastBraceletRc(r2)     // Catch:{ RuntimeException -> 0x00a0 }
            r8.setLastBraceletStatus(r1)     // Catch:{ RuntimeException -> 0x00a0 }
            long r0 = java.lang.System.currentTimeMillis()     // Catch:{ RuntimeException -> 0x00a0 }
            r8.setLastBraceletTime(r0)     // Catch:{ RuntimeException -> 0x00a0 }
        L_0x0095:
            r8.startBluetoothScan()     // Catch:{ RuntimeException -> 0x00a0 }
        L_0x0098:
            java.lang.String r0 = r8.getBracelet()     // Catch:{ RuntimeException -> 0x00a0 }
            r8.setLastBracelet(r0)     // Catch:{ RuntimeException -> 0x00a0 }
            goto L_0x00ab
        L_0x00a0:
            r0 = move-exception
            org.coeye.client.PositionProvider$PositionListener r1 = r8.getListener()
            r2 = r0
            java.lang.Throwable r2 = (java.lang.Throwable) r2
            r1.onPositionError(r2)
        L_0x00ab:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: org.coeye.client.AndroidPositionProvider.startUpdates():void");
    }

    public void stopUpdates() {
        this.locationManager.removeUpdates(this);
        stopBluetoothScan();
    }

    public void requestSingleLocation() {
        try {
            if (ActivityCompat.checkSelfPermission(getContext(), "android.permission.ACCESS_FINE_LOCATION") != 0) {
                getListener().onPositionError(new SecurityException("Location permission not granted"));
                return;
            }
            Location location = this.locationManager.getLastKnownLocation("passive");
            if (location != null) {
                try {
                    PositionProvider.PositionListener listener = getListener();
                    Position position = r2;
                    Position position2 = new Position(getDeviceId(), location, getBatteryLevel(getContext()), getBracelet(), getBraceletBatt(), getBraceletRc(), getBraceletStatus(), getBraceletMotion(), getBraceletTime(), getBraceletRssi());
                    listener.onPositionUpdate(position);
                } catch (RuntimeException e) {
                    e = e;
                    getListener().onPositionError(e);
                }
            } else {
                try {
                    this.locationManager.requestSingleUpdate(this.provider, this, Looper.myLooper());
                } catch (SecurityException e2) {
                    getListener().onPositionError(e2);
                }
            }
        } catch (RuntimeException e3) {
            e = e3;
        }
    }

    public void onLocationChanged(Location location) {
        Intrinsics.checkNotNullParameter(location, "location");
        processLocation(location, getBraceletBatt(), getBraceletRc(), getBraceletMotion());
    }

    public void onStatusChanged(String provider2, int status, Bundle extras) {
        Intrinsics.checkNotNullParameter(provider2, "provider");
        Intrinsics.checkNotNullParameter(extras, "extras");
    }

    public void onProviderEnabled(String provider2) {
        Intrinsics.checkNotNullParameter(provider2, "provider");
    }

    public void onProviderDisabled(String provider2) {
        Intrinsics.checkNotNullParameter(provider2, "provider");
    }

    private final String getProvider(String accuracy) {
        if (Intrinsics.areEqual((Object) accuracy, (Object) "high")) {
            return "gps";
        }
        if (Intrinsics.areEqual((Object) accuracy, (Object) "low")) {
            return "passive";
        }
        return "network";
    }
}
