package org.coeye.client;

import android.content.ComponentName;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.PowerManager;
import androidx.appcompat.app.AlertDialog;
import androidx.preference.PreferenceManager;
import com.judemanutd.autostarter.AutoStartPermissionHelper;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \f2\u00020\u0001:\u0001\fB\u0005¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006J\u0010\u0010\u0007\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u001e\u0010\t\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u00062\f\u0010\n\u001a\b\u0012\u0004\u0012\u00020\b0\u000bH\u0002¨\u0006\r"}, d2 = {"Lorg/coeye/client/BatteryOptimizationHelper;", "", "()V", "requestException", "", "context", "Landroid/content/Context;", "requestVendorException", "", "showDialog", "onSuccess", "Lkotlin/Function0;", "Companion", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BatteryOptimizationHelper.kt */
public final class BatteryOptimizationHelper {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    private static final String KEY_AUTOSTART_REQUESTED = "autostartRequested";
    private static final String KEY_EXCEPTION_REQUESTED = "exceptionRequested";

    private final void showDialog(Context context, Function0<Unit> onSuccess) {
        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setMessage((CharSequence) context.getString(R.string.request_exception));
        builder.setPositiveButton(17039370, (DialogInterface.OnClickListener) new BatteryOptimizationHelper$$ExternalSyntheticLambda0(onSuccess));
        builder.setNegativeButton(17039360, (DialogInterface.OnClickListener) null);
        builder.show();
    }

    /* access modifiers changed from: private */
    /* renamed from: showDialog$lambda-0  reason: not valid java name */
    public static final void m0showDialog$lambda0(Function0 $onSuccess, DialogInterface $noName_0, int $noName_1) {
        Intrinsics.checkNotNullParameter($onSuccess, "$onSuccess");
        $onSuccess.invoke();
    }

    /* access modifiers changed from: private */
    public final void requestVendorException(Context context) {
        for (Intent vendorIntent : CollectionsKt.listOf(new Intent().setComponent(new ComponentName("com.miui.securitycenter", "com.miui.permcenter.autostart.AutoStartManagementActivity")), new Intent().setComponent(new ComponentName("com.letv.android.letvsafe", "com.letv.android.letvsafe.AutobootManageActivity")), new Intent().setComponent(new ComponentName("com.huawei.systemmanager", "com.huawei.systemmanager.startupmgr.ui.StartupNormalAppListActivity")), new Intent().setComponent(new ComponentName("com.huawei.systemmanager", "com.huawei.systemmanager.optimize.process.ProtectActivity")), new Intent().setComponent(new ComponentName("com.huawei.systemmanager", "com.huawei.systemmanager.appcontrol.activity.StartupAppControlActivity")), new Intent().setComponent(new ComponentName("com.coloros.safecenter", "com.coloros.safecenter.permission.startup.StartupAppListActivity")), new Intent().setComponent(new ComponentName("com.coloros.safecenter", "com.coloros.safecenter.startupapp.StartupAppListActivity")), new Intent().setComponent(new ComponentName("com.oppo.safe", "com.oppo.safe.permission.startup.StartupAppListActivity")), new Intent().setComponent(new ComponentName("com.iqoo.secure", "com.iqoo.secure.ui.phoneoptimize.AddWhiteListActivity")), new Intent().setComponent(new ComponentName("com.iqoo.secure", "com.iqoo.secure.ui.phoneoptimize.BgStartUpManager")), new Intent().setComponent(new ComponentName("com.vivo.permissionmanager", "com.vivo.permissionmanager.activity.BgStartUpManagerActivity")), new Intent().setComponent(new ComponentName("com.samsung.android.lool", "com.samsung.android.sm.ui.battery.BatteryActivity")), new Intent().setComponent(new ComponentName("com.htc.pitroad", "com.htc.pitroad.landingpage.activity.LandingPageActivity")), new Intent().setComponent(new ComponentName("com.asus.mobilemanager", "com.asus.mobilemanager.MainActivity")))) {
            if (context.getPackageManager().resolveActivity(vendorIntent, 65536) != null) {
                try {
                    context.startActivity(vendorIntent);
                    return;
                } catch (Exception e) {
                }
            }
        }
    }

    public final boolean requestException(Context context) {
        Intrinsics.checkNotNullParameter(context, "context");
        if (Build.VERSION.SDK_INT >= 23) {
            SharedPreferences sharedPreferences = PreferenceManager.getDefaultSharedPreferences(context);
            if (!sharedPreferences.getBoolean(KEY_EXCEPTION_REQUESTED, false)) {
                sharedPreferences.edit().putBoolean(KEY_EXCEPTION_REQUESTED, true).apply();
                if (!((PowerManager) context.getSystemService(PowerManager.class)).isIgnoringBatteryOptimizations(context.getPackageName())) {
                    showDialog(context, new BatteryOptimizationHelper$requestException$1(context, this));
                    return true;
                }
            } else if (!sharedPreferences.getBoolean(KEY_AUTOSTART_REQUESTED, false)) {
                sharedPreferences.edit().putBoolean(KEY_AUTOSTART_REQUESTED, true).apply();
                try {
                    if (AutoStartPermissionHelper.getAutoStartPermission$default(AutoStartPermissionHelper.Companion.getInstance(), context, false, false, 6, (Object) null)) {
                        return true;
                    }
                } catch (SecurityException e) {
                }
            }
        }
        return false;
    }

    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0006"}, d2 = {"Lorg/coeye/client/BatteryOptimizationHelper$Companion;", "", "()V", "KEY_AUTOSTART_REQUESTED", "", "KEY_EXCEPTION_REQUESTED", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BatteryOptimizationHelper.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }
}
