package org.coeye.client;

import android.app.Activity;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.os.Build;
import android.util.Log;
import androidx.multidex.MultiDexApplication;
import com.google.android.gms.tasks.Task;
import com.google.firebase.messaging.FirebaseMessaging;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000\u001a\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\b\u0016\u0018\u0000 \t2\u00020\u0001:\u0001\tB\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\b\u0010\u0007\u001a\u00020\u0004H\u0016J\b\u0010\b\u001a\u00020\u0004H\u0003¨\u0006\n"}, d2 = {"Lorg/coeye/client/MainApplication;", "Landroidx/multidex/MultiDexApplication;", "()V", "handleRatingFlow", "", "activity", "Landroid/app/Activity;", "onCreate", "registerChannel", "Companion", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MainApplication.kt */
public class MainApplication extends MultiDexApplication {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final String PRIMARY_CHANNEL = "default";

    public void onCreate() {
        super.onCreate();
        System.setProperty("http.keepAliveDuration", "1800000");
        if (Build.VERSION.SDK_INT >= 26) {
            registerChannel();
        }
        FirebaseMessaging.getInstance().getToken().addOnCompleteListener(MainApplication$$ExternalSyntheticLambda0.INSTANCE);
    }

    /* access modifiers changed from: private */
    /* renamed from: onCreate$lambda-0  reason: not valid java name */
    public static final void m6onCreate$lambda0(Task task) {
        Intrinsics.checkNotNullParameter(task, "task");
        if (task.isSuccessful()) {
            Log.i("FCM token", String.valueOf((String) task.getResult()));
        } else {
            Log.i("token failed", "");
        }
    }

    private final void registerChannel() {
        NotificationChannel channel = new NotificationChannel(PRIMARY_CHANNEL, getString(R.string.channel_default), 2);
        channel.setLightColor(-16711936);
        channel.setLockscreenVisibility(-1);
        Object systemService = getSystemService("notification");
        if (systemService != null) {
            ((NotificationManager) systemService).createNotificationChannel(channel);
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type android.app.NotificationManager");
    }

    public void handleRatingFlow(Activity activity) {
        Intrinsics.checkNotNullParameter(activity, "activity");
    }

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0005"}, d2 = {"Lorg/coeye/client/MainApplication$Companion;", "", "()V", "PRIMARY_CHANNEL", "", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MainApplication.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }
}
