package org.coeye.client;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import androidx.core.content.pm.ShortcutInfoCompat;
import androidx.core.content.pm.ShortcutManagerCompat;
import androidx.core.graphics.drawable.IconCompat;
import androidx.preference.PreferenceManager;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\b\n\u0002\b\u0003\u0018\u0000 \u00132\u00020\u0001:\u0001\u0013B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u0012\u0010\u0007\u001a\u00020\b2\b\u0010\t\u001a\u0004\u0018\u00010\nH\u0016J\u0010\u0010\u000b\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u0006H\u0014J\b\u0010\f\u001a\u00020\bH\u0002J\"\u0010\r\u001a\u00020\b2\u0006\u0010\u000e\u001a\u00020\u000f2\b\b\u0001\u0010\u0010\u001a\u00020\u00112\u0006\u0010\u0012\u001a\u00020\u000fH\u0002¨\u0006\u0014"}, d2 = {"Lorg/coeye/client/ShortcutActivity;", "Landroidx/appcompat/app/AppCompatActivity;", "()V", "executeAction", "", "intent", "Landroid/content/Intent;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onNewIntent", "sendAlarm", "setShortcutResult", "label", "", "iconResId", "", "action", "Companion", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ShortcutActivity.kt */
public final class ShortcutActivity extends AppCompatActivity {
    public static final String ACTION_SOS = "sos";
    public static final String ACTION_START = "start";
    public static final String ACTION_STOP = "stop";
    private static final String ALARM_SOS = "sos";
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final String EXTRA_ACTION = "action";

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Intent intent = getIntent();
        Intrinsics.checkNotNullExpressionValue(intent, "intent");
        if (!executeAction(intent)) {
            setContentView((int) R.layout.list);
            String[] items = {getString(R.string.shortcut_start), getString(R.string.shortcut_stop), getString(R.string.shortcut_sos)};
            ListView listView = (ListView) findViewById(16908298);
            listView.setAdapter(new ArrayAdapter(this, 17367043, items));
            listView.setOnItemClickListener(new ShortcutActivity$$ExternalSyntheticLambda0(this, items));
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: onCreate$lambda-0  reason: not valid java name */
    public static final void m14onCreate$lambda0(ShortcutActivity this$0, String[] $items, AdapterView $noName_0, View $noName_1, int position, long $noName_3) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter($items, "$items");
        switch (position) {
            case 0:
                String str = $items[position];
                Intrinsics.checkNotNullExpressionValue(str, "items[position]");
                this$0.setShortcutResult(str, R.mipmap.ic_start, ACTION_START);
                break;
            case 1:
                String str2 = $items[position];
                Intrinsics.checkNotNullExpressionValue(str2, "items[position]");
                this$0.setShortcutResult(str2, R.mipmap.ic_stop, ACTION_STOP);
                break;
            case 2:
                String str3 = $items[position];
                Intrinsics.checkNotNullExpressionValue(str3, "items[position]");
                this$0.setShortcutResult(str3, R.mipmap.ic_sos, "sos");
                break;
        }
        this$0.finish();
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        Intrinsics.checkNotNullParameter(intent, "intent");
        super.onNewIntent(intent);
        executeAction(intent);
    }

    private final void setShortcutResult(String label, int iconResId, String action) {
        Intent intent = new Intent("android.intent.action.VIEW", (Uri) null, this, ShortcutActivity.class);
        intent.putExtra(EXTRA_ACTION, action);
        ShortcutInfoCompat shortcut = new ShortcutInfoCompat.Builder((Context) this, action).setShortLabel(label).setIcon(IconCompat.createWithResource(this, iconResId)).setIntent(intent).build();
        Intrinsics.checkNotNullExpressionValue(shortcut, "Builder(this, action)\n  …ent)\n            .build()");
        setResult(-1, ShortcutManagerCompat.createShortcutResultIntent(this, shortcut));
    }

    private final void sendAlarm() {
        PositionProviderFactory.INSTANCE.create(this, new ShortcutActivity$sendAlarm$1(this)).requestSingleLocation();
    }

    private final boolean executeAction(Intent intent) {
        String action;
        if (intent.hasExtra("shortcutAction")) {
            action = intent.getBooleanExtra("shortcutAction", false) ? ACTION_START : ACTION_STOP;
        } else {
            action = intent.getStringExtra(EXTRA_ACTION);
        }
        if (action != null) {
            switch (action.hashCode()) {
                case 114071:
                    if (action.equals("sos")) {
                        if (ContextCompat.checkSelfPermission(this, "android.permission.ACCESS_FINE_LOCATION") != 0) {
                            Toast.makeText(this, R.string.status_send_fail, 0).show();
                            break;
                        } else {
                            sendAlarm();
                            break;
                        }
                    }
                    break;
                case 3540994:
                    if (action.equals(ACTION_STOP)) {
                        PreferenceManager.getDefaultSharedPreferences(this).edit().putBoolean("status", false).apply();
                        stopService(new Intent(this, TrackingService.class));
                        Toast.makeText(this, R.string.status_service_destroy, 0).show();
                        break;
                    }
                    break;
                case 109757538:
                    if (action.equals(ACTION_START)) {
                        PreferenceManager.getDefaultSharedPreferences(this).edit().putBoolean("status", true).apply();
                        ContextCompat.startForegroundService(this, new Intent(this, TrackingService.class));
                        Toast.makeText(this, R.string.status_service_create, 0).show();
                        break;
                    }
                    break;
            }
            finish();
        }
        if (action != null) {
            return true;
        }
        return false;
    }

    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0005\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\b\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\t"}, d2 = {"Lorg/coeye/client/ShortcutActivity$Companion;", "", "()V", "ACTION_SOS", "", "ACTION_START", "ACTION_STOP", "ALARM_SOS", "EXTRA_ACTION", "app_regularDebug"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ShortcutActivity.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }
}
